import { describe } from "@jest/globals";
import { EMAIL_VENDORS } from "../src";
import { createHtmlTestsRunner } from "./helpers";
const path = require("path");

const TESTS_GLOBAL_PATH = "/files/outlook-outlook";
const testsPath = path.resolve(__dirname, `.${TESTS_GLOBAL_PATH}`);

describe("[HTML] Outlook-Outlook emails normalization", () => {
  const runTests = createHtmlTestsRunner(testsPath, EMAIL_VENDORS.OUTLOOK);

  describe("Chrome-Chrome", runTests("chrome-chrome"));
  describe(
    "MacOS-MacOS",
    runTests("macos-macos", { ignore: ["03", "04", "05", "08", "09"] })
  );
  describe(
    "Windows-Windows",
    runTests("windows-windows", { ignore: ["11", "12", "13", "16"] })
  );
});
